Bug 35933 - UCS installer design
UCS installer design
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-16 08:59 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
UN _UMC Relaunch_DebianInstaller_140910_jk.svg (87.57 KB, image/svg+xml)
2014-09-16 08:59 CEST, Stefan Gohmann
Details
Screenshot (212.92 KB, image/jpeg)
2014-09-16 08:59 CEST, Stefan Gohmann
Details
Sample screenshot of Debian Installer (104.63 KB, image/png)
2014-09-25 12:38 CEST, Alexander Kläser
Details
Updated header image (5.82 KB, image/svg+xml)
2014-09-25 12:43 CEST, Alexander Kläser
Details
Final header image (87.37 KB, image/svg+xml)
2014-10-16 13:05 CEST, Alexander Kläser
Details
"i" icon graphic (3.52 KB, image/png)
2014-10-16 13:16 CEST, Alexander Kläser
Details
"!" icon graphic (3.55 KB, image/png)
2014-10-16 13:17 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-16 08:59:20 CEST
Created attachment 6107 [details]
UN _UMC Relaunch_DebianInstaller_140910_jk.svg

Please use UN _UMC Relaunch_DebianInstaller_140910_jk.svg as default for the installer header.
Comment 1 Stefan Gohmann univentionstaff 2014-09-16 08:59:57 CEST
Created attachment 6108 [details]
Screenshot

Attached a screenshot how it should look like.
Comment 2 Philipp Hahn univentionstaff 2014-09-17 13:31:35 CEST
r13582 | Bug #35933 d-i: Update banner

Package: rootskel-gtk
Version: 1.27.12.201409171324
Branch: ucs_4.0-0
Comment 3 Philipp Hahn univentionstaff 2014-09-17 14:52:34 CEST
Maybe colors need to be updated as well?
Comment 4 Alexander Kläser univentionstaff 2014-09-25 12:38:38 CEST
Created attachment 6129 [details]
Sample screenshot of Debian Installer

Attached an updated screenshot for the Debian Installer theme. The following colors have been chosen:

* Header image see attachment below
* Window background color: #e6e6e6 (=same background color as in the header)
* Global dark text color (if possible): #282828
* Button colors (if possible):
  * Background gradient: from #c8c8c8 (bottom) to #e6e6e6 (top)
  * Border color: #b4b4b4
* Background gradient for selected items (and also progressbar):
  from #6a981e (bottom) to #70a81b (top)
Comment 5 Alexander Kläser univentionstaff 2014-09-25 12:43:00 CEST
Created attachment 6130 [details]
Updated header image
Comment 6 Alexander Kläser univentionstaff 2014-09-25 12:45:46 CEST
(In reply to Alexander Kläser from comment #4)
> Created attachment 6129 [details]
> Sample screenshot of Debian Installer
> 
> Attached an updated screenshot for the Debian Installer theme. The following
> colors have been chosen:
> 
> * Header image see attachment below
> * Window background color: #e6e6e6 (=same background color as in the header)
> * Global dark text color (if possible): #282828
> * Button colors (if possible):
>   * Background gradient: from #c8c8c8 (bottom) to #e6e6e6 (top)
>   * Border color: #b4b4b4
> * Background gradient for selected items (and also progressbar):
>   from #6a981e (bottom) to #70a81b (top)

* The bright background is a little bit greenish → this should be plain white
Comment 7 Alexander Kläser univentionstaff 2014-09-25 14:40:15 CEST
I did not mean to take the bug as assignee :) .
Comment 8 Philipp Hahn univentionstaff 2014-09-29 15:38:45 CEST
r13758 | Update banner

Package: rootskel-gtk
Version: 1.27.13.201409291347
Branch: ucs_4.0-0

ucs_4.0-0-20140929-152102-dvd-amd64.iso

(In reply to Alexander Kläser from comment #4)
> The following colors have been chosen:
> 
> * Header image see attachment below
> * Window background color: #e6e6e6 (=same background color as in the header)
> * Global dark text color (if possible): #282828
> * Button colors (if possible):
>   * Background gradient: from #c8c8c8 (bottom) to #e6e6e6 (top)
>   * Border color: #b4b4b4
> * Background gradient for selected items (and also progressbar):
>   from #6a981e (bottom) to #70a81b (top)

GTK themes don't work like that; I've tried to translate the above values as best as I can.
Next time please have a look at /usr/share/themes/Clearlooks/gtk-2.0/gtkrc yourself and fill in the 2*2*5+x colors yourself as there are a lot more combinations then just "selected" and "not-selected". You can "apt-get install gtk2-engines thewidgetfactory" to get a quick impression on how it looks.
Comment 9 Stefan Gohmann univentionstaff 2014-09-30 16:06:57 CEST
The design is not yet final. Moving to interim-3
Comment 10 Alexander Kläser univentionstaff 2014-10-16 13:05:51 CEST
Created attachment 6177 [details]
Final header image

Please integrate the attached, final header image.
Comment 11 Alexander Kläser univentionstaff 2014-10-16 13:16:25 CEST
Created attachment 6183 [details]
"i" icon graphic

Please replace the original "i" icon file with the attached version.
Comment 12 Alexander Kläser univentionstaff 2014-10-16 13:17:13 CEST
Created attachment 6184 [details]
"!" icon graphic

.... similarly the "!" icon file :) .
Comment 13 Stefan Gohmann univentionstaff 2014-10-19 19:41:12 CEST
Back to Philipp.
Comment 14 Philipp Hahn univentionstaff 2014-10-20 16:08:54 CEST
r13867 | Bug #35371,35933 d-i: replace graphics
r13868 | Bug #35371,35933: replace graphics

Package: rootskel-gtk
Version: 1.27.14.201410201134
Branch: ucs_4.0-0

ucs_4.0-0-20141020-145717-dvd-amd64.iso
Comment 15 Stefan Gohmann univentionstaff 2014-10-30 06:37:31 CET
The design looks very good. I've added the bug number to the changelog file: r55117
Comment 16 Stefan Gohmann univentionstaff 2014-11-26 06:55:55 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".